> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Eval Config Runs

> Lists the runs for an AI evaluation configuration.



## OpenAPI

````yaml get /eval_configs/{id}/runs
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /eval_configs/{id}/runs:
    get:
      summary: List Eval Config Runs
      description: Lists the runs for an AI evaluation configuration.
      operationId: listEvalConfigRuns
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
          description: ID of the eval config.
        - in: query
          name: limit
          schema:
            type: integer
            nullable: false
            default: 100
          description: The maximum number of runs to fetch.
          required: false
        - in: query
          name: cursor
          schema:
            type: string
          required: false
          description: The pagination cursor returned by the previous request.
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AIEvalRun'
                  cursor:
                    type: string
                    nullable: true
                    description: >-
                      A cursor you can pass to fetch the next page. If no next
                      page exists, the cursor will be null.
                required:
                  - data
                  - cursor
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    AIEvalRun:
      type: object
      properties:
        id:
          type: string
          nullable: false
        status:
          $ref: '#/components/schemas/AIEvalRunStatus'
        callAgentId:
          type: string
          nullable: false
        versionedPromptId:
          type: string
          nullable: false
        createdAt:
          type: string
          format: date-time
          nullable: false
        aggregateResult:
          $ref: '#/components/schemas/AIEvalAggregateResult'
      required:
        - id
        - status
        - callAgentId
        - versionedPromptId
        - createdAt
        - aggregateResult
    AIEvalRunStatus:
      type: string
      enum:
        - PENDING
        - RUNNING
        - SUCCESS
        - FAILED
        - CANCELLED
      description: The status of an evaluation run.
      nullable: false
    AIEvalAggregateResult:
      type: object
      properties:
        numFailing:
          type: integer
          nullable: false
        numPassing:
          type: integer
          nullable: false
      required:
        - numFailing
        - numPassing
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````